Subject: bug#42209: 12.2.4; Text propogated wrong in TeX-fold-mode

From: Arash Esbati <[email-masked]>
Date: Mon, 17 Feb 2025 22:47:18 +0100

tags 42209 wontfix
close 42209
thanks

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> Hi Arash, thanks for taking care of old bugs.

👍

> I'd like to close it as "wontfix". Sorry, Gennady.
>
> Here is a summary of my study. The following code demonstrates what is
> going on:
> ----------------------------------------------------------------------
> (defface my-large '((t (:height 2.0))) "twice large")
> (switch-to-buffer (generate-new-buffer "abc"))
> (insert "ABCD XYZ
> foo bar") ; for comparison
> (put-text-property 1 9 'face 'my-large) ; enlarge 1st line
> (setq my-str (buffer-substring 2 3)) ; "B" with `my-large' face
> (setq my-ov (make-overlay 1 4)) ; covers "ABC"
> (overlay-put my-ov 'display my-str) ; largeness applied twice.
> ----------------------------------------------------------------------
> Apparently, `display' property string of overlay inherits the
> "largeness" of the underlying texts, thus the largeness is applied twice
> here.
> I'm not sure whether this is an emacs bug or not, since it's certain
> that there are situations where such behavior is useful. In addition,
> even if it is actually a bug, it would be difficult for emacs developer
> to "fix" it because I suppose there are already elisp codes which depend
> on that behavior.

Thanks for the analysis.  Per your request, I'm closing this report as
wontfix.

Best, Arash